@ MatP3==========Calculates the 3rd power of a value.
@ C Function prototype: int MatP3(int iValue);
@ iValue:{0-0x0fffffff}
@ Description of Function: Calculates the qube of an analog value.
@ User interface: Set iValue to the value to be qubed.
@       iValue must be normalised so that 0x0fffffff is full scale.
@       Call MatQub().
@       Returns (iValue*iValue)*iValue normalised so that 0x0fffffff is full scale.
@ Robustness:  Works for positive iValue only.
@ Side effects: Corrupts r1 and r3.

.include        "ADuC7020.equ"
.ARM

.GLOBAL MatP3
MatP3:
        mov     r1,r0,LSR#14            @Shift to normalise result.
        mul     r3,r1,r1                @Square.
        mov     r3,r3,LSR#14            @shift to normalize result
        mul     r0,r1,r3                @Square.
        bx      lr                      @return
